<h5>2.40 RC 1  [2020-05-30]</h5>  Dev: Xoops 2.5.11, PHP 7.4.6
<hr>
- updated PEAR (mamba)
- added check for $pathModIcon32 in menu (mamba)
- added check for $helper->getModule() in menu (geekwright/mamba)
- fixed import of sample data (mamba)
- fixed "can edit" in Permissions template (mamba)
- added statistics in dashboard (mamba)
- added hiding option for import buttons (mamba)
- disabled temporarily check for new version on GitHub (mamba)
- code cosmetics (mamba)
- renamed $catHandler to $categoryHandler (mamba)
- added more Handlers initiation to headers (mamba)
- renamed table extcal_etablissement to extcal_location (geekwright/mamba)
- renamed column event_etablissement to event_location (geekwright/mamba)
- changed ['PHP_SELF'] to ['SCRIPT_NAME'] (mamba)
- reversed renaming of etablissement to location in /versions (mamba)
- added config files in /config (mamba)
- reversed to while (list()) (mamba)
- reverted in_array() true check (mamba)
- missing smarty variables in event.php (Tzvook)
- replaced Config class with Helper calls (mamba)
- renamed $groupPermissionHandler to $grouppermHandler (consistency) (mamba)
- fixed setting Admin permissions on new category (alain01/mamba)
- add missing language file  (alain01/mamba)


<h5>2.40 Beta 2  [2020-09-21]</h5>  Dev: Xoops 2.5.9, PHP 7.3.0 RC2
<hr>
- updates, cosmetics (mamba)
- added sample data (mamba)
- added Migrate class  (mamba)
- added Blocks Admin (mamba)
- added Blocks Admin (mamba)
WORK IN PROGRESS


<h5>2.40 Beta 1  [NOT RELEASED]</h5>  Dev: Xoops 2.5.9, PHP 7.2.10
<hr>
* fix dashboard (mamba)
* Fix for days in local language (aerograf/mamba)
* Yoda, short syntax array (mamba)
* renamed help .html to .tpl (mamba)
+ SCANDIR_SORT_NONE in scandir() (mamba)
+ securityToken (mamba)
+ auto-completion (mamba)
* updated Headers (mamba)
* Utilities to Utility (mamba)
* https (mamba)
+ update for PayPal (zyspec)
+ bug in haveSubmitRight (aerograf/mamba)
+ started conversion to XMF (mamba)
    &nbsp;&nbsp;- updated addInfoBoxLine entries (mamba)
    &nbsp;&nbsp;- displayNavigation(basename(__FILE__))  (mamba)
    &nbsp;&nbsp;- changed to ->displayButton('left') (mamba)
+ namespaces (mamba)
+ autoload (mamba)
* replaced xoops_getModuleHandler() with Helper::getInstance()->getHandler() (geekwright/mamba)


<h5>2.39 FINAL         [2016-10-18]</h5>
<hr>
- added xoops_loadLanguage /header.php (zyspec/mamba)
- addNavigation(basename(__FILE__))  (mamba)
- dirname(__FILE__) to __DIR__ (mamba)
- changed RGB to HEX (mamba)
- updated and optimized CSS (background and margins) (mamba)
- added "type hints" via PhpDocs (mamba)
- added oninstall.php, onupdate.php (mamba)
- added checks for PHP & XOOPS Versions (mamba)
- added moduleConfig array (mamba)


<h5>2.39 Beta RC 1         [2016-08-10]</h5>
<hr>
- removed @version (mamba)
- code cosmetics (mamba)
- replaced < b /> with < b > (mamba)
- update Help (mamba)
- changed _handler to Handler (mamba)
- reference mismatch (mamba)


<h5>2.39 Beta 2             [2016-08-08]</h5>
<hr>
- fix undefined function see #7 (geekwright)
- move custom form class into module space (geekwright)
- move module code to top directory (geekwright)
- fix PHP 7 compatibility errors/warnings (geekwright)
- fix css error with relative background url (now data) (geekwright)
- fix class collision on 'info' (now 'ecinfo') (geekwright)
- rename ExtcalPersistableObjectHandler::delete() to deleteById() to fix signature mismatch (geekwright)

<h5>2.39 Beta 1             [2016-03-21]</h5>
<hr>
- moved all images, CSS, and JS files to /assets (mamba)
- renamed .html Smarty templates to .tpl (mamba)
- some changes to make it compatible with Angelo's templates for xBootstrap (mamba)
- updates for PHP7, XOOPS 2.5.8 (mamba)

<h5>2.38 Beta 1             [2013-08-21]</h5>
<hr>
- added editor selection in Preferences for Admin and User (mamba)
- added checks if event was added/modified successfully (mamba)

<h5>2.37 Final              [2013-07-10]</h5>
<hr>
- small changes for PHP 5.4
- fixed: removed today's events from "upcoming" block (chefry/mamba)

2.37 RC6                [2013-04-20]</h5>
<hr>
- modification of the English language files for Transifex (cesagonchu)
- fixed: missing argument 6 for agenda_getCanevas() (cesagonchu)
- fixed: missing phone column (Sabahan/Mamba)

<h5>2.37 RC5                [2013-01-29]</h5>
<hr>
- fixed: missing edit/delete icons for Admin in year/month/week/day view (mamba)
- fixed: missing print icons in week/day views (jcweb/mamba)
- fixed: date format in Agenda view (jcweb/mamba)
- fixed: search provides correct results (sabahan/mamba)
- added: recurring events in "Upcoming events" block (sabahan/mamba)
- changed time interval in Admin from 10 minutes to 15 minutes (playsome)

<h5>2.37 RC4                [2013-01-02]</h5>
<hr>
- fixed: removed list of events when showing first time the Search form (sabahan/mamba)
- fixed: if we disable tooltips , event title will be missing in from the calendar (sabahan/mamba)
- fixed: changed notice text when user/guest submit an event (sabahan/mamba)
- fixed: removed Price info from Print, if empty (sabahan/mamba)
- fixed: extCal didn't correctly count recurring events in Search (mamba)
- fixed: Agenda view reflects now start and end time set in Preferences (jcweb/mamba)


<h5>2.37 RC3                [2013-01-01]</h5>
<hr>
- fixed: bug in setting recurring events for a x-day of the month, when 1st of the month is on the following day of the week.
  E.g. if you select 3rd Thursday, and the first day of the month is on Friday, extCal would set the event on the 2nd Thursday
- fixed: added location info in Print, if not empty (sabahan/mamba)
- fixed: if not auto-approved, event is set as pending (sabahan/mamba)
- fixed: redirect after updating or creating an event (sabahan/mamba)

<h5>2.37 RC2                [2012-12-22]</h5>
<hr>
- fixed: attachment bug (JammerPro/mamba)
- fixed: past events not being visible consistently, when selected by user in Preferences (mamba)
- fixed: displaying the correct week in Week view when the first day of the week is Monday (mamba)
- updated: Highslide JS from version 4.1.8 to 4.1.13 (mamba)
- added: end date to blocks (sabahan/mamba)
- fixed: pagination for events in Admin (sabahan/mamba)
- fixed: Recent Activities showing all events, instead of only the particular user (sabahan/mamba)
- fixed: don't show empty Price and Organizer fields  (sabahan/mamba)
- fixed: removed double edit icons (sabahan/mamba)
- fixed: removed Contact info from Print, if empty (sabahan/mamba)

<h5>2.37 Beta 4             [2012-04-02]</h5>
<hr>
- small code cleanups (mamba)
-

<h5>2.37 [2012/02/02] (JJD.fr)</h5>
<hr>
- Ajout du champ icone dans la table event_event
- Ajout du chmp icone dans la table event_cat
- Affichage de l'icone de event/cat dans l'infobulle
- Mis à jour des constantes de langue
- Patch de mise à jour des tables

<h5>2.36 (JJD.fr)               [2012-01-31]</h5>
<hr>
- Fixed display
- Replacement of infobulle by another model more pro

<h5>2.35 (JJD.fr)               [2012-01-21]</h5>
<hr>
- Réintrégation file update extcal_2_34.php omitted in the previous version
- Fixed zoom in on photos to certeines
- Fixed default value of 0 in the table event_location event
- Intancciation of Config <=> xoopsModuleConfig for blocks

<h5>2.34                [2012-01-06] (JJD.fr)</h5>
<hr>
  - Fixed handling of images of events and the establishment
  - Fixed the RSS feed
  - Fixed MOFIF regular expressions to validate dates
  - Fixed link on the site of the facility
  - Remove the newline before the currency in the form of the establishment


<h5>2.34 [2011/12/30] (JJD.fr)</h5>
<hr>
  - Field "desc" table "establishment" renowned "description".
  - Fixed template, admin and office are for schools

<h5>2.33 [2011/12/30] (JJD.fr) (Google translation)]</h5>
<hr>
- Re-write functions
  bExtcalMinicalShow
  bExtcalMinicaledit (using xoopsform)
  bExtcalMinicalAddEventToArray (simplifications Code))

- Added a template for the xoops image display options with the mini calendar,
  and knew ppression smarty code in the block miicalendrier.

- Added constant 'CALENDAR_ROOT' file constantes.php
    and removal of this statement in all the other files as
    the file 'constantes.php is systematically included.
    For aillerus this will ultimately move the library 'pear'
    with other booksellers as jQuery, to provide for use with other modules,
    library is without cete copy every time.
    This library will remove the module in a future release.
    It is already possible to gold and to change
    define ('_EXTCAL_PEAR_CALENDAR' XOOPS_ROOT_PATH '. / modules / eXtCal / class / pear / Calendar');
    by
    define ('_EXTCAL_PEAR_CALENDAR' XOOPS_PATH '. / pear / Calendar');
    If the library 'pear' is installed in the same place as jQuery.

- Insurance for events and institutions category:
  Added a link on the name to go directly to the page to change.

- Divide the blocks in different files for easy reading and loading
  Deletion of the block "excal_block.php"
  Creation of blocks:
       "Minical.php"
       "Spotlight_events.php"
       "Upcoming.php"
       "Day_events.php"
       "New_events.php"
       "Random_events.php"
       "Category_events.php"

- Adding tabs in the data editing an event

- Added the main menu on the left to access tabs visible

- Pooling of lists of selection in the template "navbar"

- Fixed CSS tooltips
  Suppression of the class "*" and add the font size in "zone1"

- Options of modules:
  Added the display order of the tabs (also affects the sidebar)
  Added option to position the module selection lists

- Class event: if replacement functions below by the unique getEventOnPeriode
  getEventDay, getEventWeek, getEventCalendarWeek, getEventCalendarMonth,

- Added display of a clock flash with the mini-calendar
  Adding template "clock"
Nouveau ! Cliquez sur les termes ci-dessus pour voir d'autres traductions. Ignorer
Google Traduction pour les entreprises :Google Translator ToolkitGadget TraductionOutil d'aide à l'export
Désactiver la traduction instantanéeÀ propos de Google TraductionMobileConfidentialitéAideEnvoyer des commentaires



<h5>2.32 [2011/10/21] (JJD.fr)]</h5>
<hr>
 - Fixed the "getSearchEvent" used by the search for Xoops;
   It did not take into account only the first word of an expression.
   In addition it has been adapted for a search from the module itself
   with specific criteria (expression + category and then the month and year are expected).
   The research was done on the fields 'EVENT_TITLE', 'event_desc', 'event_contact', 'EVENT_ADDRESS'.
   The field 'cat_name' was added to allow the fields to search
   to find words in the title of the category.

 - Added a view of research.
   This allows for a wider search for a phrase, a category
   over the year, month, ...
   date has been changed to "DataTime" instead of int (11).
   important:
   Think in this tab to add those options visible in the modules.

<h5>2.31 [2011/10/21] (JJD.fr)]</h5>
<hr>
 - Fixed loading images in the front office
 - Fixed currency and add exchange constants
   define ('_MD_EXTCAL_DEVISE1', "Euro");
   define ('_MD_EXTCAL_DEVISE2', "Euros");
   define ('_MD_EXTCAL_DEVISE3', "€");
 - Changing the style sheet tooltips.
   Remove the width of the class. "Tip-top"
   To enable automatic resizing.
   Adding attributes 'infoBulle_zone1', 'infoBulle_zone2' and 'infoBulle_zone3'
   pemettre to display images and text.
   'InfoBulle_zone1': positioning the first balloon image or text
   'InfoBulle_zone2': 2nd positions the tooltip right of the first if there is an image
   'InfoBulle_zone3': 2nd positions the tool tip in the first if there is an image
   To change the position of the second tooltip change 'infoBulle_zone2'
   by 'infoBulle_zone3' extcal_infobulle.html in the template.
 - Simplification of the template by adding generic templates
   for tooltips and categories

<h5>2.30 [2011/10/21] (JJD.fr)]</h5>
<hr>
 - Added the removal by batch or by selection
   in the administration page of events.
   delete images related to the event.

<h5>2.29 [2011/09/04] (JJD-fr)]</h5>
<hr>
- Corrections by Trabis
- Module-wide tooltips new look in all views.
- Hiding the image seen in the "days" and "week" if it is not defined.
- Fixed formatting in views "day" and "week" and "month": "
    adding the change of background color on line 10 2
    class = head for the header line, ...
- Language files "English" and "Spanish" complete
- Registration of an event on validation formular clone instead of click on the icon.
- Set the options of the module (nbeventsByPage) the number of events in the list of administration
- Add a block "Upcoming Events by category"
   The block is bordered on the left and above each category by the color of the latter.


<h5>2.28 [2011/08/22] (JJD-fr)]</h5>
<hr>
- Merging of "version 2.22 Plus" by Kraven with "2.27"
     * Added table "etablisement"
     * Entry Form for companies
     * Added selection of the location of the event
- Fixed nbJours in calendar-day
- Added tooltips agenda_day in views-view-view and agenda_week
- Adjusting the input boxes of Events

<h5>2.27 [2011/08/07] (Mamba)</h5>
<hr>
- fixed bug with default for starting page (mamba)
- fixed event "title" for Agenda views (mamba)


<h5>2.26 [2011/08/07] (JJD-fr)</h5>
<hr>
- Fixed include  constantes.php in xoops_version.php
- Fixed the block recovery xoopsModuleConfig minical
- Important: additional information in the file doc / install.txt
- Fixed language files
- Added a selection of tabs displayed in optins module.
- Correcion the link on the mini calendar.
  Now shows view 'stat_page' set in options.
  View 'start_page' should be visible.


<h5>2.25 [2011/08/03] (JJD-fr)</h5>
<hr>
- Added selection of tabs to display the options of the module.
- Fixed link on the mini calendar.
  Now shows view 'stat_page' set in the options.
  View 'start_page' should be visible.
- Add to calendar days in a grid: displays one or more days with time slots.
  Events are displayed with a colored square with its title.
- Add to calendar weeks in a grid: displays one or more days with time slots.
  Events are displayed with a square.
  The title and start and end time are displayed in the tooltip on mouseover.
  Provides a synthetic view of the week or a fortnight, for example.
- Added setting options for both views 'agenda'
  * Start time of the day
  * End time of the day
  * Number of minutes per
  * Number of days for each of the two views agenda.
- Rename all files and php template of views with the addition of the prefix 'view' for easy maintenance;
- Replacement of table '$ lang' in the template by the equivalent '$ smarty; const'
- Modification of functions and getEventWeekCriteria getEventWeek.
  addition of parameters to recover $ nbJours events on a beach
  other than 7 days; '$ nbjours' must be> 0; attention to the display of more than 20 days
  weeks in the calendar may not be practical.
  These are the two parameters added to the options of the module;
- Added file 'agenda_fnc.php' which contains the functions for creating tables
  to feed the agenda;
- Replacing the fill selection list for years, my days and categories,
  by generic functions.
- Replacement of codes for the selection of views by constants (file 'constantes.php')
- Added option 'agenda_nb_years_before' and 'agenda_nb_years_after' to fill drop-down lists for selecting the year.
  Can limit the previous year, for example.



<h5>2.24 [2011/03/21]</h5>
<hr>
+ Zend Coding Standard (Mamba)
+ Changed to standardized XOOPS Module GUI (mamba, Mage)
+ Spanish translation (josespi)
+ fix problem in upcoming events block (josespi)


<h5>2.2.2 [2008/10/09]</h5>
<hr>

- Fix bug : Event not display in upcomming bloc if anonymous aren't allowed to view
- Fix bug : First occur for monthly reccur event could be not displayed
- Fix bug : Now, Date on RSS was replace by the event start date
- Add Flash slideshow on Minical block


Lang var change :

blocks.php
_MB_EXTCAL_SS_WIDTH
_MB_EXTCAL_SS_HEIGHT
_MB_EXTCAL_SS_TRANS_TIME
_MB_EXTCAL_SS_PAUSE_TIME
_MB_EXTCAL_SS_NB_PHOTOS
_MB_EXTCAL_PX
_MB_EXTCAL_SECONDES


<h5>2.2.1] [2008/13/08</h5>
<hr>
- Fix bug : typo fix on the monthly reccur rule string
- Fix bug : 404 error when we update notifications
- Fix bug : Yearly "Same as event start date" recur option don't work. This option allow to set an event a the same day number in month as the start date. This allow to create reccuring event like birthday
- Fix bug : Member of Webmaster Group can't edit event if they aren't eXtCal edit permission
- Fix bug : Event in list view aren't sorted according to module preferences
- Fix bug : Navigation in weekly list view don't work if the first day of the week isn't Monday
- Fix bug : eXtCal upload directory isn't created when we make module update
- Fix bug : Who's not going don't work without new module install. The who's not going table isn't created when we make a module update
- Fix bug : Space in day's name on calendar pages
- Fix bug : Minical image aren't get random.
- Add Edit my event feature


Lang var change :

admin.php
_AM_EXTCAL_CONFIRM_DELETE_EVENT
_AM_EXTCAL_EVENT_DELETED


<h5>2.2.0 [2008/14/06]</h5>
<hr>
- Fix bug : Event year selection box don't work on year.php page
- Fix bug : Blank page when event is submitted with wrong date format
- Fix bug : Timezone offset bug on calendar pages and event page
- fix bug : Recurring bug on Monthly rule
- Fix bug : Translate error on minical day's letter



<h5>2.1.9 [2008/21/05]</h5>
<hr>
- Add tooltips box on all pages to display start and end date when mouse over the event name (need Mootools)
- Add list navig for event on admin side
- Fix bug : File isn't attached when event is submitted from admin side
- Fix bug : Timezone offset bug on block and pages


Lang var change :

blocks.php
_MB_EXTCAL_DISPLAY
_MB_EXTCAL_EVENT
_MB_EXTCAL_TITLE_LENGTH

Add mail_template directory


<h5>2.1.8 [2008/07/05]</h5>
<hr>
- Add a feature to make a module update just by clicking on module admin side. The server will download, install files and update the module.
- Fix bug : User could submit event without perm by accessing directly to the submit page
- Fix bug : Recur rule aren't updated when an event is edited
- Fix bug : Timezone bug when user timezone is different than server timezone



<h5>2.1.7 [2008/28/03]</h5>
<hr>
- Fix bug : event_submitdate field wasn't created during upgrade from version before 2.0.4
- Fix bug : wrong link when week start in month before the current view (stefan88)
- Add the send notification function
- Allow HTML for textarea fields
- Add the Comments system
- Add the Notifications system



<h5>2.1.6 [2008/21/01]</h5>
<hr>
- Fix error when submit an event from public side
- Fix Bug : Category perm are not respected to display event
- Fix Bug : Translation file isn't loaded
- Fix bug : An user could be in the who's going and who's not going list



<h5>2.1.5 [2008/28/12]</h5>
<hr>
- Add Reccuring rule description on event view
- Add the RSS page
- Extend the search function to address and contact field
- Set the update proc to upgrade from eXtCal 2.0.4
- Add the navigation tab menu



<h5>2.1.4 [2007/18/12]</h5>
<hr>
- Add reccuring event feature


<h5>2.1.3 [2007/10/07]</h5>
<hr>
- Add a file attachement feature to the module
- Add a "who's not going" feature
- Add a version checker (display a message if a new version of the module is out)


<h5>2.1.2 [2007/28/04]</h5>
<hr>
- Add a preview feature on submit event page
- Fix a bug that disallow fresh install


<h5>2.1.1 [2007/25/04]</h5>
<hr>
- Add the "hide past event" feature


<h5>2.1.0 [2007/22/04]</h5>
<hr>
- Rewrite the module from scratch



<h5>2.0.4 RC2 [2006/11/04]</h5>
<hr>
- Add the possibility to display more than 1 event on spotlight bloc
- Bug fix : eXtCal don't work with XOOPS under 2.0.15



<h5>2.0.4 RC1 [2006/31/10]</h5>
<hr>
- Add a "flat" monthly view
- Little display improvement
- Fix an error on pruning page
- Add property to event to set a maximum member limit per event
- Change the month template to display all event's infos
